@echo off
@rem  Licensed Materials - Property of IBM
@rem  5724-M24
@rem  Copyright IBM Corporation 2007, 2008. All Rights Reserved.
@rem  US Government Users Restricted Rights- Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@@REM
@@REM  
@@REM

@REM #######################################################
@REM #                                                     #
@REM # Read command line options                           #
@REM #                                                     #
@REM #######################################################
:Loop
IF "%1" == "" GOTO Continue
IF "%1" == "-w" (
  set profileDir=%2
  GOTO Forward
)

:Forward
shift /1
shift /1
GOTO Loop
:Continue

set curDir=%~dp0
call "%profileDir%"\bin\setupCmdLine.bat  1> NUL 2>&1

copy "%WAS_HOME%"\scripts.wbm\AAMExport\config.properties "%WAS_HOME%"\scripts.wbm\AAMExport\installed_config.properties 1> NUL 2>&1

copy "%profileDir%"\config.wbm\alertTemplate.properties "%WAS_HOME%"\scripts.wbm\AAMExport\config.properties  1> NUL 2>&1
copy "%WAS_HOME%"\installableApps.wbm\showcase\artifacts\ShowcaseAlert.xml "%WAS_HOME%"\scripts.wbm\AAMExport\ShowcaseAlert.xml 1> NUL 2>&1

cd "%WAS_HOME%"\scripts.wbm\AAMExport  1> NUL 2>&1
call "runAAMExport.bat" 1> NUL 2>&1
@echo off
cd %curDir%  1> NUL 2>&1
copy "%WAS_HOME%"\scripts.wbm\AAMExport\installed_config.properties "%WAS_HOME%"\scripts.wbm\AAMExport\config.properties  1> NUL 2>&1
del "%WAS_HOME%"\scripts.wbm\AAMExport\installed_config.properties 1> NUL 2>&1
del "%WAS_HOME%"\scripts.wbm\AAMExport\ShowcaseAlert.xml 1> NUL 2>&1


endlocal
@echo on
