#  Licensed Materials - Property of IBM
#  5724-M23, 5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java

print "INFO: enter installcbebrowser."

if ((len(sys.argv) != 1)):
        print "This script (installCbebrowser.py) requires 1 parameter: profilePath"
        print "e.g.: installCbebrowser.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

#
# TODO: Check for conditions when CBE Browser does not get installed
#

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

location = systemAppPath
ear = cbebrowserEarName
app = cbebrowserAppName
node     = nodeName
server   = serverName
        
execfile(moncommonPath+'/installSysApp.py')

rc = 0
# install CBE Browser
print "INFO: Installing CBE Browser System App..."
rc2 = installSysApp(location, ear, app, node, server)
if(rc2 == -1):
    rc = -1
    
if(rc == -1):
    raise ValueError("Install CBE Browser failed")

print "INFO: Install CBE Browser System App complete."
print "INFO: exit installcbebrowser."
