#  Licensed Materials - Property of IBM
#  5724-M24
#  Copyright IBM Corporation 2007, 2009. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java

if ((len(sys.argv) != 1)):
        print "This script requires 1 parameter: profilePath"
        print "e.g.: <scriptname>.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

location = washome+"/installableApps.wbm"
ear = dashboardRestProxyEarName
app = dashboardRestProxyAppname
cell     = cellName
node     = nodeName
server   = serverName
        
if (ndType != "dmgr"):
    # Install EAR.
    execfile(moncommonPath+'/installEar.py')
    installEar(location, ear, app, node, server)

    # Define a JVM custom property.
    execfile(moncommonPath+'/MonitorServerUtil.py')
    dmgrSystemProperties = {}
    dmgrSystemProperties[dashboardRestProxyTargetPropertyName] = dashboardRestProxyTargetPropertyValue

    UtilWsadminHolder.AdminConfig = AdminConfig
    UtilWsadminHolder.AdminTask = AdminTask

    scope = Scope(clusterName, cellName, nodeName, serverName)
    print "scope="+str(scope)
    setSystemProperties(scope, dmgrSystemProperties)
    AdminConfig.save()
