({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Administración de seguridad de datos de Monitor",
   adminInstruction: "Utilice esta página para realizar funciones administrativas para la seguridad de datos de IBM Business Monitor. Puede añadir un nuevo grupo de recursos, seleccionar un grupo de recursos para suprimirlo, ver modelos en un grupo de recursos o asignar roles administrativos.",
   adminInstructionII:"Las actualizaciones realizadas en la seguridad de datos de Monitor afectarán inmediatamente al acceso del modelo de Monitor. Los permisos de paquetes de cubos de Cognos se basarán en los valores de seguridad de datos en el momento de la primera publicación del paquete. Los cambios subsiguientes que se realicen en la seguridad de datos de Monitor no se aplicarán automáticamente a los paquetes de cubos de Cognos. Los permisos de paquetes de Cognos pueden actualizarse iniciando  ",
   adminInstructionCognoswebclient: " Cliente web de conexión de IBM Cognos",
   adminSecurityOffInstruction: "Nota: Los usuarios y grupos de usuarios sólo se pueden asignar a roles si el repositorio de cuentas de usuario seleccionado es Repositorios federados y si está habilitada la seguridad administrativa y de aplicaciones. ",
   mdsDiagInstruction: "Utilice esta página para buscar un usuario que pueda ver los modelos a los que puede acceder y los roles del usuario en cada modelo.", 
   rgNewInstruction: "Utilice esta página para crear un nuevo grupo de recursos. Especifique el nombre y pulse Aplicar.",
   rgDetailsInstruction: "Seleccione los modelos que desee añadir o eliminar de este grupo de recursos. Para seleccionarlos todos, pulse >>.",
   rgRolesInstruction: "Seleccione un rol para este grupo de recursos y pulse Usuarios o Grupos.",
   rgSecurityProblems: "Los roles no se pueden asignar a este grupo de recursos por los siguientes motivos: ",
   rgSecurityRequirements: "Debe cumplir los siguientes requisitos para asignar usuarios o grupos a un rol: ",
   rgRolesVMMDisabled: "- Repositorios federados debe ser el repositorio de cuentas de usuario seleccionado.",
   rgRolesAdminSecurityDisabled: "- La seguridad administrativa debe estar habilitada.",
   rgRolesApplicationSecurityDisabled: "- La seguridad de aplicaciones debe estar habilitada.",
   roleUserSearchInstruction: "Utilice esta página para buscar un usuario y asignarle un rol.",
   roleGroupSearchInstruction: "Utilice esta página para buscar un grupo de usuarios y asignarle un rol.",
   loading:		  "Cargando...",
	empty: 		  "<vacío>",
   resourceGroups: "Grupos de recursos",
   models:       "Modelos",
   roles:        "Roles",
   users:        "Usuarios",
   userGroups:   "Grupos de usuarios",
   rootDescription:   "El grupo de recursos 'root' es el grupo de recursos padre predeterminado.",
   backToRoot:   "Todos los recursos en ${0} se han movido al grupo de recursos predeterminado.",
   errorCreating: "Error al crear el grupo de recursos",
   errorChanging: "Error al cambiar la asignación del grupo de recursos",
   errorDeleting: "Error al suprimir el grupo de recursos: ${0}",
   errorAssigningRole: "Error al asignar un rol",
   errorRemovingRole: "Error al eliminar un rol",
   errorNameRequiredForRG: "Se necesita un nombre para el grupo de recursos.",
   errorNameAlreadyExistsForRG: "El nombre del grupo de recursos ya existe",
   errorNameOver40Chars: "El nombre de grupo de recursos no puede superar los 40 caracteres de longitud",
   errorNameInvalidChars: "El nombre de grupo de recursos no puede contener caracteres especiales de xml",
   errorDescriptionOver80Chars: "La descripción del grupo de recursos no puede superar los 80 caracteres de longitud ",
   errorUserAlreadySelected: "Ya está seleccionado el usuario ${0} ",
   errorGroupAlreadySelected: "Ya está seleccionado el grupo ${0} ",
   confirmRGDelete: "Se suprimirá el grupo de recursos ${0}. ¿Desea continuar?",
   selectUsersForRole: "Seleccionar usuarios para el rol ${0} ", 
   selectGroupsForRole: "Seleccionar grupos para el rol ${0} ", 
   searchNumericLimitError: "Escriba un número positivo en el campo Resultados máximos. El número debe estar entre 1 y 4500", 
   adminNewButton: "Nuevo",
   adminDeleteButton: "Suprimir",
   adminUsersButton:  "Usuarios",
   adminGroupsButton: "Grupos",
   adminOkButton:     "Aceptar",
   adminCancelButton: "Cancelar",
   adminSearchButton: "Buscar",
   adminSearchLimit: "Máximo de resultados",
   adminSearchForLabel: "Buscar:",
   adminApplyButton:  "Aplicar", 
   adminGoButton:     "Ir", 
   adminRGName:       "Nombre",
   adminRGDescription: "Descripción",
   adminTableSelect:  "Seleccionar",
   adminTableName:    "Nombre",
   adminTableDescription: "Descripción",
   adminTableTotal:   "Total",
   adminTableSelectAll: "Seleccionar todos los elementos",
   adminTableDeselectAll: "Deseleccionar todos los elementos",
   adminTableShowFilter: "Mostrar función de filtro",
   adminTableHideFilter: "Ocultar función de filtro",
   adminTableClearFilter: "Borrar valor de filtro",
   adminTableFilterInstruction: "Para filtrar la tabla siguiente, seleccione los datos por los que desea filtrar y especifique los criterios de filtro (comodines: *,?,%).",
   adminTableFilterLabel: "Filtro:",
   adminTableFilterBy: "Nombre de grupo de recursos",
   adminTableSearchTerms: "Términos de búsqueda:",
   adminMoveLeft:     "Mover a la izquierda los elementos seleccionados",
   adminMoveAllLeft:  "Mover a la izquierda todos los elementos",
   adminMoveRight:    "Mover a la derecha los elementos seleccionados",
   adminMoveAllRight: "Mover a la derecha todos los elementos",
   adminAvailableModels: "Disponible en raíz",
   adminSelectedModels:  "Seleccionado",
   adminAvailableMembers: "Disponible",
   adminSelectedMembers: "Seleccionado",
   breadcrumbEditRG:    "Modificar un grupo de recursos",
   breadcrumbUsersRole: "Asignar usuarios a un rol",
   breadcrumbGroupRole: "Asignar grupos a un rol",
   noModelsAvailable: "No hay modelos disponibles para este usuario. ",
   tabDiagnose: "Diagnosticar",
   tabConfigure: "Configurar",
   selectOnlyOneUser: "Seleccionar sólo un usuario. ",
   selectAtLeastOneUser: "Seleccionar un usuario. ",
   helpTitle: "Ayuda de página",
   helpInstruction: "Más información sobre esta página",
   	editButton: "Editar...",
   	MonitorDataSecurityAdministrator: "Administrador de seguridad de datos de Monitor",
	MonitorDataSecurityAdministratorDesc: "Este rol llevará a cabo funciones de gestión de seguridad precisas en Business Space.",
	BusinessManager: "Gestor empresarial",
	BusinessManagerDesc: "Este rol proporciona acceso básico de sólo lectura a los ICR públicos (compartidos) dentro de un grupo de recursos. ",
	PersonalKPIAdmin: "Administrador de ICR personal",
	PersonalKPIAdminDesc: "Este rol otorga a los usuarios autorización para crear ICR no compartidos  (personales). El ICR creado sólo lo puede ver y actualizar el propietario y un administrador de ICR. ",
	PublicKPIAdmin: "Administrador de ICR público",
	PublicKPIAdminDesc: "Este rol otorga a los usuarios autorización para crear ICR compartidos (públicos) o no compartidos (personales). Los ICR compartidos (públicos) los pueden utilizar y ver otros usuarios. Sólo el administrador del ICR o el propietario pueden realizar cambios en un ICR compartido (público). ",
	KPIAdmin: "Administrador de ICR",
	KPIAdminDesc: "Este rol proporciona a los usuarios la autorización asociada a la administración de ICR. Los usuarios de este rol pueden crear ICR compartidos (públicos) o no compartidos (personales). Además, los administradores de ICR pueden cambiar la propiedad de cualquier ICR.",
	authenticationWarningMsg: "Se deniega el acceso para la operación porque no hay suficientes credenciales o éstas están vacías."	
})

