({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Monitor データ・セキュリティー管理",
   adminInstruction: "このページを使用して、IBM Business Monitor データ・セキュリティーの管理機能を実行します。新しいリソース・グループを追加、削除するリソース・グループを選択、リソース・グループのモデルを表示、または管理ロールを割り当てることができます。",
   adminInstructionII:"Monitor データ・セキュリティーに対する更新はモニター・モデル・アクセスに直ちに影響します。Cognos キューブ・パッケージの権限は、始めてパッケージが公開されるときの Monitor データ・セキュリティー設定に基づきます。その後で Monitor データ・セキュリティーが変更されても、その変更は Cognos キューブ・パッケージに自動的には適用されません。Cognos パッケージの権限を更新するには、次の項目を起動してください: ",
   adminInstructionCognoswebclient: " IBM Cognos Connection Web クライアント",
   adminSecurityOffInstruction: "注: フェデレーテッド・リポジトリーが、選択したユーザー・アカウント・リポジトリー である場合、および管理セキュリティーとアプリケーション・セキュリティーが有効に設定されている場合に限り、ユーザーとユーザー・グループはロールに割り当てることができます。",
   mdsDiagInstruction: "このページを使用してユーザーを検索して、そのユーザーがアクセスできるモデルと、各モデルにおけるユーザーのロールを表示します。", 
   rgNewInstruction: "このページを使用して、新規リソース・グループを作成します。 名前を入力して、「適用」をクリックします。",
   rgDetailsInstruction: "このリソース・グループに追加または除去するモデルを選択します。 すべてを選択するには、>> をクリックします。",
   rgRolesInstruction: "このリソース・グループのロールを選択して、「ユーザー」または「グループ」のいずれかをクリックします。",
   rgSecurityProblems: "次の理由により、ロールはこのリソース・グループに割り当てることができません。",
   rgSecurityRequirements: "ユーザーまたはグループをロールに割り当てるには、次の要件を満たす必要があります。",
   rgRolesVMMDisabled: "- フェデレーテッド・リポジトリーは、選択されたユーザー・アカウント・リポジトリーである必要があります。",
   rgRolesAdminSecurityDisabled: "- 管理セキュリティーが有効に設定されている必要があります。",
   rgRolesApplicationSecurityDisabled: "- アプリケーション・セキュリティーが有効に設定されている必要があります。",
   roleUserSearchInstruction: "このページを使用してユーザーを検索して、そのユーザーをロールに割り当てます。",
   roleGroupSearchInstruction: "このページを使用してユーザー・グループを検索して、ロールに割り当てます。",
   loading:		  "ロード中...",
	empty: 		  "<空>",
   resourceGroups: "リソース・グループ",
   models:       "モデル",
   roles:        "ロール",
   users:        "ユーザー",
   userGroups:   "ユーザー・グループ",
   rootDescription:   "「root」リソース・グループは、デフォルトの、親リソース・グループです",
   backToRoot:   "${0} 内のすべてのリソースが、デフォルトのリソース・グループに移されました。",
   errorCreating: "リソース・グループ作成中のエラー",
   errorChanging: "リソース・グループ割り当て変更中のエラー",
   errorDeleting: "リソース・グループ ${0} の削除中のエラー",
   errorAssigningRole: "ロール割り当て中のエラー",
   errorRemovingRole: "ロール除去中のエラー",
   errorNameRequiredForRG: "リソース・グループの名前が必要です。",
   errorNameAlreadyExistsForRG: "リソース・グループ名は既に存在します",
   errorNameOver40Chars: "リソース・グループ名は 40 文字以内の長さです",
   errorNameInvalidChars: "リソース・グループ名に XML 特殊文字を含めることはできません",
   errorDescriptionOver80Chars: "リソース・グループの説明は 80 文字以内の長さです",
   errorUserAlreadySelected: "ユーザー ${0} は既に選択されています",
   errorGroupAlreadySelected: "グループ ${0} は既に選択されています",
   confirmRGDelete: "リソース・グループ ${0} は削除されます。続行しますか?",
   selectUsersForRole: "${0} ロールのユーザーの選択", 
   selectGroupsForRole: "${0} ロールのグループの選択", 
   searchNumericLimitError: "「最大結果」フィールドに正数を入力してください。 数値は、1 から 4500 までの範囲内である必要があります", 
   adminNewButton: "新規",
   adminDeleteButton: "削除",
   adminUsersButton:  "ユーザー",
   adminGroupsButton: "グループ",
   adminOkButton:     "OK",
   adminCancelButton: "キャンセル",
   adminSearchButton: "検索",
   adminSearchLimit: "最大結果",
   adminSearchForLabel: "検索対象:",
   adminApplyButton:  "適用", 
   adminGoButton:     "ジャンプ", 
   adminRGName:       "名前",
   adminRGDescription: "説明",
   adminTableSelect:  "選択",
   adminTableName:    "名前",
   adminTableDescription: "説明",
   adminTableTotal:   "合計",
   adminTableSelectAll: "項目をすべて選択",
   adminTableDeselectAll: "項目の選択をすべて解除",
   adminTableShowFilter: "フィルター機能の表示",
   adminTableHideFilter: "フィルター機能の非表示",
   adminTableClearFilter: "フィルター値のクリア",
   adminTableFilterInstruction: "次の表をフィルターするには、フィルターするデータを選択し、フィルター基準 (ワイルドカード: *、?、%) を入力します。",
   adminTableFilterLabel: "フィルター:",
   adminTableFilterBy: "リソース・グループ名",
   adminTableSearchTerms: "検索語:",
   adminMoveLeft:     "選択した項目を左に移動",
   adminMoveAllLeft:  "すべての項目を左に移動",
   adminMoveRight:    "選択した項目を右に移動",
   adminMoveAllRight: "すべての項目を右に移動",
   adminAvailableModels: "ルートで使用可能",
   adminSelectedModels:  "選択済み",
   adminAvailableMembers: "使用可能",
   adminSelectedMembers: "選択済み",
   breadcrumbEditRG:    "リソース・グループの変更",
   breadcrumbUsersRole: "ユーザーのロールへの割り当て",
   breadcrumbGroupRole: "グループのロールへの割り当て",
   noModelsAvailable: "このユーザーが使用可能なモデルはありません。",
   tabDiagnose: "診断",
   tabConfigure: "構成",
   selectOnlyOneUser: "1 ユーザーのみを選択します。",
   selectAtLeastOneUser: "ユーザーを選択します。",
   helpTitle: "ページ・ヘルプ",
   helpInstruction: "このページの詳細情報",
   	editButton: "編集...",
   	MonitorDataSecurityAdministrator: "Monitor DataSecurity 管理者",
	MonitorDataSecurityAdministratorDesc: "このロールは、ビジネス・スペースにおける詳細セキュリティー管理機能を実行します。",
	BusinessManager: "ビジネス・マネージャー",
	BusinessManagerDesc: "このロールは、リソース・グループ内のパブリック (共有) KPI への基本読み取り専用アクセスを提供します。",
	PersonalKPIAdmin: "パーソナル KPI 管理者",
	PersonalKPIAdminDesc: "このロールは、非共有 (パーソナル) KPI を作成する権限をユーザーに与えます。所有者と KPI 管理者のみ、作成された KPI を表示し、更新することができます。",
	PublicKPIAdmin: "パブリック KPI 管理者",
	PublicKPIAdminDesc: "このロールは、共有 (パブリック) または非共有 (パーソナル) KPI を作成する権限をユーザーに与えます。共有 (パブリック) KPI は、他のユーザーも使用し、表示することができます。共有 (パブリック) KPI に変更を加えることができるのは、所有者または KPI 管理者だけです。",
	KPIAdmin: "KPI 管理者",
	KPIAdminDesc: "このロールは、KPI 管理に関連するすべての権限をユーザーに与えます。このロールのユーザーは、共有 (パブリック) KPI と非共有 (パーソナル) KPI の両方を作成できます。また、どのような KPI であっても、その所有権を変更できるのは KPI 管理者だけです。",
	authenticationWarningMsg: "資格情報が不十分であるか、または空であるため、この操作に関するアクセス権限は否認されます。"	
})

