({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Monitor 数据安全性管理",
   adminInstruction: "本页用于执行针对 IBM Business Monitor 数据安全性的管理功能。可以添加新资源组、选择要删除的资源组、查看资源组中的模型或分配管理角色。",
   adminInstructionII:"对 Monitor 数据安全性的更新将立即影响对 Monitor Model 的访问。“Cognos 立方体”软件包的许可权将会在第一次发布软件包时，基于 Monitor 数据安全性设置。对 Monitor 数据安全性的后续更改将不会自动套用到 Cognos 立方体软件包。更新 Cognos 软件的操作可借助于启动 ",
   adminInstructionCognoswebclient: " IBM Cognos Connection Web 客户机",
   adminSecurityOffInstruction: "注：如果联合存储库是所选的用户帐户存储库，并且启用了管理和应用程序安全性，那么只可以将用户和用户组分配给角色。",
   mdsDiagInstruction: "本页用于搜索用户，以查看该用户可以访问的模型，以及该用户在各模型上的角色。", 
   rgNewInstruction: "本页用于创建新的资源组。请输入名称，然后单击“应用”。",
   rgDetailsInstruction: "选择模型，以将其添加到资源组或从资源组中除去。要全选，请单击 >>。",
   rgRolesInstruction: "为该资源组选择角色，然后单击“用户”或“组”。",
   rgSecurityProblems: "由于以下原因，无法将角色分配给此资源组：",
   rgSecurityRequirements: "您必须满足以下要求，才能为用户或组分配角色，",
   rgRolesVMMDisabled: "- 联合存储库必须是所选的用户帐户存储库。",
   rgRolesAdminSecurityDisabled: "- 必须已启用管理安全性。",
   rgRolesApplicationSecurityDisabled: "- 必须已启用应用程序安全性。",
   roleUserSearchInstruction: "本页用于搜索用户，并将该用户分配给某角色。",
   roleGroupSearchInstruction: "本页用于搜索用户组，并将其分配给某角色。",
   loading:		  "正在装入...",
	empty: 		  "<空>",
   resourceGroups: "资源组",
   models:       "模型",
   roles:        "角色",
   users:        "用户",
   userGroups:   "用户组",
   rootDescription:   "“根”资源组是缺省值，父资源组",
   backToRoot:   "${0} 中的所有资源都已移动到缺省资源组。",
   errorCreating: "创建资源组时发生错误",
   errorChanging: "更改资源组分配时发生错误",
   errorDeleting: "删除资源组 ${0} 时发生错误",
   errorAssigningRole: "分配角色时发生错误",
   errorRemovingRole: "除去角色时发生错误",
   errorNameRequiredForRG: "资源组必须具有名称。",
   errorNameAlreadyExistsForRG: "资源组名称已存在",
   errorNameOver40Chars: "资源组名称的长度不能超出 40 个字符",
   errorNameInvalidChars: "资源组名称不能包含 XML 特殊字符",
   errorDescriptionOver80Chars: "资源组描述的长度不能超出 80 个字符",
   errorUserAlreadySelected: "已经选择用户 ${0}",
   errorGroupAlreadySelected: "已经选择组 ${0}",
   confirmRGDelete: "资源组 ${0} 将被删除。要继续吗？",
   selectUsersForRole: "为 ${0} 角色选择用户", 
   selectGroupsForRole: "为 ${0} 角色选择组", 
   searchNumericLimitError: "在显示的最多结果数字段中输入一个正数。该数字必须在 1 和 4500 之间", 
   adminNewButton: "新建",
   adminDeleteButton: "删除",
   adminUsersButton:  "用户",
   adminGroupsButton: "组",
   adminOkButton:     "确定",
   adminCancelButton: "取消",
   adminSearchButton: "搜索",
   adminSearchLimit: "显示的最多结果数",
   adminSearchForLabel: "搜索：",
   adminApplyButton:  "应用", 
   adminGoButton:     "执行", 
   adminRGName:       "名称",
   adminRGDescription: "描述",
   adminTableSelect:  "选择",
   adminTableName:    "名称",
   adminTableDescription: "描述",
   adminTableTotal:   "总计",
   adminTableSelectAll: "选择全部项",
   adminTableDeselectAll: "取消选择全部项",
   adminTableShowFilter: "显示过滤器功能",
   adminTableHideFilter: "隐藏过滤器功能",
   adminTableClearFilter: "清除过滤器值",
   adminTableFilterInstruction: "要过滤以下表，请选择要作为过滤条件的数据，然后输入过滤条件（通配符包括 *、? 和 %）",
   adminTableFilterLabel: "过滤器：",
   adminTableFilterBy: "资源组名称",
   adminTableSearchTerms: "搜索条件：",
   adminMoveLeft:     "将所选项目左移",
   adminMoveAllLeft:  "将所有项目左移",
   adminMoveRight:    "将所选项目右移",
   adminMoveAllRight: "将所有项目右移",
   adminAvailableModels: "根目录中有",
   adminSelectedModels:  "已选",
   adminAvailableMembers: "可用",
   adminSelectedMembers: "已选",
   breadcrumbEditRG:    "修改资源组",
   breadcrumbUsersRole: "将用户分配给角色",
   breadcrumbGroupRole: "将组分配给角色",
   noModelsAvailable: "没有可用于此用户的模型。",
   tabDiagnose: "诊断",
   tabConfigure: "配置",
   selectOnlyOneUser: "仅选择一个用户。",
   selectAtLeastOneUser: "选择用户。",
   helpTitle: "页面帮助",
   helpInstruction: "有关本页面的更多信息",
   	editButton: "编辑...",
   	MonitorDataSecurityAdministrator: "Monitor 数据安全性管理员",
	MonitorDataSecurityAdministratorDesc: "此角色将执行 Business Space 中的细粒度安全性管理功能。",
	BusinessManager: "业务经理",
	BusinessManagerDesc: "此角色提供对资源组中公共（共享）KPI 的基本只读访问权。",
	PersonalKPIAdmin: "个人 KPI 管理员",
	PersonalKPIAdminDesc: "此角色赋予用户创建非共享（个人）KPI 的权限。只有所有者和 KPI 管理员才能查看和更新创建的 KPI。",
	PublicKPIAdmin: "公共 KPI 管理员",
	PublicKPIAdminDesc: "此角色赋予用户创建共享（公共）或非共享（个人）KPI 的权限。其他用户可以使用和查看共享（公共）KPI。只有所有者或 KPI 管理员才能更改共享（公共）KPI。",
	KPIAdmin: "KPI 管理员",
	KPIAdminDesc: "此角色赋予用户有关 KPI 管理的所有权限。具有此角色的用户可以创建共享（公共）和非共享（个人）KPI。此外，KPI 管理员可以更改任何 KPI 的所有权。",
	authenticationWarningMsg: "对操作的访问被拒绝，因为凭证不足或为空。"	
})

