// Licensed Materials - Property of IBM
// 5724-M24 (C) Copyright IBM Corporation 2006, 2008. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.

var debug = false;

var com_ibm_ws_wbimonitor_generalTable = "none";
var com_ibm_ws_wbimonitor_stateTable = "none";
var com_ibm_ws_wbimonitor_runtimeTable = "none";
var state = "none";
var uriState = "";
var setState = "";

function monShowHideSection(objectId) {
    if (debug) alert("monShowHideSection begin");
    if (document.getElementById(objectId) != null) {
        if (document.getElementById(objectId).style.display == "none") {
            if (debug) alert("monShowHideSection style is none");
            document.getElementById(objectId).style.display = showIt;
            if (debug) alert("monShowHideSection style set to showIt");
            if (document.getElementById(objectId+"Img")) {
                document.getElementById(objectId+"Img").src = "/ibm/console/images/arrow_expanded.gif";
            }
            state = "inline";
        } else {
            if (debug) alert("monShowHideSection style is NOT none");
            document.getElementById(objectId).style.display = "none";
            if (debug) alert("monShowHideSection style was set to none");
            if (document.getElementById(objectId+"Img")) {
                document.getElementById(objectId+"Img").src = "/ibm/console/images/arrow_collapsed.gif";
            }
            state = "none";
        }

       if (objectId == "com_ibm_ws_wbimonitor_generalTable") {
           if (debug) alert("monShowHideSection objectId is ...generalTable");
           uriState = "secure/javascriptToSession.jsp?req=set&sessionVariable=com_ibm_ws_wbimonitor_generalTable&variableValue="+state;
           setState = doXmlHttpRequest(uriState);
           //  Use this if we need to reuse this value anywhere
           setState = setState.substring(0,setState.indexOf("+endTransmission"));
       } else if (objectId == "com_ibm_ws_wbimonitor_stateTable") {
           uriState = "secure/javascriptToSession.jsp?req=set&sessionVariable=com_ibm_ws_wbimonitor_stateTable&variableValue="+state;
           setState = doXmlHttpRequest(uriState);
           setState = setState.substring(0,setState.indexOf("+endTransmission"));
       } else if (objectId == "com_ibm_ws_wbimonitor_runtimeTable") {
           uriState = "secure/javascriptToSession.jsp?req=set&sessionVariable=com_ibm_ws_wbimonitor_runtimeTable&variableValue="+state;
           setState = doXmlHttpRequest(uriState);
           setState = setState.substring(0,setState.indexOf("+endTransmission"));
       }       
    }
    if (debug) alert("monShowHideSection end");
}


var enableDisableArray = new Array();

function monEnableDisableCEI(controlSet,origin) {

    if (document.getElementById("userInputDisabled").value == "false") {    

        if (origin != "reset") {
            enableDisableArray[enableDisableArray.length] = controlSet;
        }
    
        controlArray = controlSet.split(",");
    
        // set up variable default values
        disStatus = false;
        textStyle = "textEntry";
        textColor = "#000000";
        textAreaStyle = "textAreaEntry";
        
        // loop through controls to assign enablement/disablement to children
        for (i=0;i<controlArray.length;i++) {
    
            tmp = controlArray[i];
    
            cArray = tmp.split(":");
    
            // if this control is a master of 1 or more controls 
            if (cArray.length > 1) {
    
                // master control is at 0
                masterControlId = cArray[0];
                masterControlStatus = document.getElementById(masterControlId).checked;
                //alert("master = "+masterControlId + "   " +masterControlStatus);
    
                
                // determine variable values for children based on master attribute
                // CHECKED attribute applies to both checkbox and radio buttons
                // For radio buttons, make sure ID attribute is assigned to the value of that
                // specific radio button
                if (masterControlStatus) {
                    disStatus = false;
                    textStyle = "textEntry";
                    textColor = "#000000";
                    textAreaStyle = "textAreaEntry";
                } else {
                    disStatus = true;
                    textStyle = "textEntryReadOnly";
                    textColor = "#CCCCCC";
                    textAreaStyle = "textAreaEntryReadOnly";
                }
                
    
                for (j=1;j<cArray.length;j++) {
    
                    //if (document.getElementById(cArray[j])) {
                        // If child control is required, then "+Required" follows child control id
                        // If child control is long, then "+Long" follows
                        rcArray = cArray[j].split("+");
                        if (rcArray.length > 1) {
                            textStyle = textStyle+rcArray[1];
                            cArray[j] = rcArray[0];
                        }
    
                        // assign child control styles according to type
                        //alert(document.getElementById(cArray[j]).style.width);
                        //alert(document.getElementById(cArray[j]).type);
    
    			  //Added special handling for browse node and server buttons on Integrate CEI Config panel. 
    			  //These elements are 4 and 5 in the array. They should be enabled/disabled
    			  //opposite of the other elements.  The accompanying text fields for node and
    			  //server in both cases should remain enabled and have normal text entry attributes.
    			  if (j < 4 || (j == 6) ) {
    				  //alert("monitorElement: " + j);                
    	                    if (document.getElementById(cArray[j]).type == "text") {
          	                  document.getElementById(cArray[j]).className = textStyle;
                	        }
                            if (document.getElementById(cArray[j]).type == "password") {
                                document.getElementById(cArray[j]).className = textStyle;
                            }

                      	    if (document.getElementById(cArray[j]).type == "textarea") {
                            	document.getElementById(cArray[j]).className = textAreaStyle;
    	                    }
                            document.getElementById(cArray[j]).parentElement.style.color = textColor;
                	        document.getElementById(cArray[j]).disabled = disStatus;
    			  } else {
    				  //alert("monitorElement else: " + j);                
    				  document.getElementById(cArray[j]).disabled = !disStatus;					
    			  }
                    //}
                }// for (j=1

                cell = document.getElementById("currentCell");
                if (cell != null) { 
                    if (cell.type == "text") {
                        cell.className = "textEntry";
                    }
                    if (isDom) {
                        cell.parentNode.style.color = "#000000";
                    } else {
                        cell.parentElement.style.color = "#000000";
                    }
                }

                locLocal = document.getElementById("locationLocal");
                if (locLocal != null && (locLocal.checked == true)) {
                    host = document.getElementById("host");
                    if (host != null) {
                        host.value = "";
                    }
                    port = document.getElementById("port");
                    if (port != null) {
                        port.value = "";
                    }
                    currentNode = document.getElementById("currentNode");
                    if (currentNode != null) {
                        currentNode.value = "";
                    }
                    currentServer = document.getElementById("currentServer");
                    if (currentServer != null) {
                        currentServer.value = "";
                    }
                    currentCluster = document.getElementById("currentCluster");
                    if (currentCluster != null) {
                        currentCluster.value = "";
                    }
                    localDefaultCell = document.getElementById("localDefaultCell");
                    if (localDefaultCell != null) {
                        currentCell = document.getElementById("currentCell");
                        if (currentCell != null) {
                            currentCell.value = localDefaultCell.value;
                        }
                    }
                }

            }// if cArray
    
        }// for (i=0


    }// if userInputDisabled
}

function monEnableDisableABX(controlSet,origin) {
    //also using for CEI security fields only
    if (document.getElementById("userInputDisabled").value == "false") {    


        if (origin != "reset") {
            enableDisableArray[enableDisableArray.length] = controlSet;
        }
    
        controlArray = controlSet.split(",");
    
        // set up variable default values
        disStatus = false;
        textStyle = "textEntry";
        textColor = "#000000";
        textAreaStyle = "textAreaEntry";
        
        // loop through controls to assign enablement/disablement to children
        for (i=0;i<controlArray.length;i++) {
    
            tmp = controlArray[i];
    
            cArray = tmp.split(":");
    
            // if this control is a master of 1 or more controls 
            if (cArray.length > 1) {
    
                // master control is at 0
                masterControlId = cArray[0];
                masterControlStatus = document.getElementById(masterControlId).checked;

                //alert("master = "+masterControlId + "   " +masterControlStatus);
                // determine variable values for children based on master attribute
                // CHECKED attribute applies to both checkbox and radio buttons
                // For radio buttons, make sure ID attribute is assigned to the value of that
                // specific radio button
                if (masterControlStatus) {
                    disStatus = false;
                    textStyle = "textEntry";
                    textColor = "#000000";
                    textAreaStyle = "textAreaEntry";
                } else {
                    disStatus = true;
                    textStyle = "textEntryReadOnly";
                    textColor = "#CCCCCC";
                    textAreaStyle = "textAreaEntryReadOnly";
                }
                for (j=1;j<cArray.length;j++) {

                    //if (document.getElementById(cArray[j])) {
                        // If child control is required, then "+Required" follows child control id
                        // If child control is long, then "+Long" follows
                        rcArray = cArray[j].split("+");
                        if (rcArray.length > 1) {
                            textStyle = textStyle+rcArray[1];
                            cArray[j] = rcArray[0];
                        }
                        // assign child control styles according to type
                        //alert(document.getElementById(cArray[j]).style.width);
                        //alert(document.getElementById(cArray[j]).type);
                        //alert("cArray j: " + cArray[j] + " " + j + " " + document.getElementById(cArray[j]) + " " + document.getElementById(cArray[j]).type);
                        if (document.getElementById(cArray[j]).type == "text") {
                            document.getElementById(cArray[j]).className = textStyle;
                        }
                        if (document.getElementById(cArray[j]).type == "password") {
                            document.getElementById(cArray[j]).className = textStyle;
                        }
                        if (document.getElementById(cArray[j]).type == "textarea") {
                            document.getElementById(cArray[j]).className = textAreaStyle;
                        }
                        if (isDom) {
                            document.getElementById(cArray[j]).parentNode.style.color = textColor;
                        } else {
                            document.getElementById(cArray[j]).parentElement.style.color = textColor;
                        }
                        document.getElementById(cArray[j]).disabled = disStatus;                                        

                    //}

                } // for j=1

                secDis = document.getElementById("securityDisabled");
                if (secDis != null && (secDis.checked == true)) {
                    userId = document.getElementById("userID");
                    if (userId != null) {
                        userId.disabled = true;
                        userId.className = "textEntryReadOnly";
                        if (isDom) {
                            userId.parentNode.style.color = "#CCCCCC";
                        } else {
                            document.getElementById("userID").parentElement.style.color = "#CCCCCC";
                        }
                    }
                    password = document.getElementById("password");
                    if (password != null) {
                        password.disabled = true;
                        password.className = "textEntryReadOnly";
                        if (isDom) {
                            password.parentNode.style.color = "#CCCCCC";
                        } else {
                            password.parentElement.style.color = "#CCCCCC";
                        }
                    }
                }// if (secDis

            } // if cArray.length
        } // for i=0
    } // if userInputDisabled == false


}


function updateServerList(controlSet) {
	//('parentDropDown:subordinateDropDown:parentSubordinateList:subordinateInitializeList:subordinateTextBox')
      //alert("update");
      cArray = controlSet.split(":");
	  found = false;
      if (cArray.length == 5) {
        parentId = cArray[0];
		parentValue = document.getElementById(parentId).value;
		subordId = cArray[1];	
		listId = cArray[2]
		initListId = cArray[3];
        subordTextId = cArray[4];
		list = document.getElementById(listId).value;
		nArray = list.split("|");
        for (j = 0; j < nArray.length; j++) {			
			sArray = nArray[j].split(":");
			subordValue = sArray[0];
			//alert("1-nodes " + parentValue + " node " + subordValue);
            //Looking for a match between the parent drop down selection
            //and the list of values to fill the subordinate drop down.
			if (parentValue == subordValue) {
				found = true;
                subTextValue = document.getElementById(subordTextId).value;
                subTextOK = false;
				for (k = 1; k < sArray.length; k++) { 	
					var optionline = new Option(sArray[k], sArray[k]);			
					//alert("4-list>" + list + 
					//	" nArray["+j+"]> " + nArray[j] + 
					//	" node> " + node + 
					//	" sArray["+k+"]>" + sArray[k] + 
					//	" optionline>" + optionline );
					document.getElementById(subordId).options[k-1] = optionline;
                    if (subTextValue == sArray[k]) {
                        subTextOK = true;
                    }
				}
                //if subord drop down has been updated and the value in the 
                //subord text field is not one of the values in the subord
                //drop down, clear the subord text field
                if (!subTextOK) document.getElementById(subordTextId).value = "";
			}
		}
	 
		if (found == false) {
			iArray = (document.getElementById(initListId).value).split(":");
            for (i = 0; i < iArray.length; i++) {
				var optionline = new Option(iArray[i], iArray[i]);	
				document.getElementById(subordId).options[i] = optionline;
			}	
		}
	} else alert("function updateServerList requires 5 elements");
}

function copyToTextField(controlSet){
	//'fromField:toField;valueToExclude'
	cArray = controlSet.split(":");
	//alert("c3");
	if (cArray.length == 3) {
		fromId = cArray[0];
		toId = cArray[1];
		excludeId = cArray[2];
		fromValue = document.getElementById(fromId).value;
		toValue = document.getElementById(toId).value;
		excludeValue = document.getElementById(excludeId).value;
		if (fromValue != excludeValue) {
			document.getElementById(toId).value = fromValue;		
		} //else {	
			//document.getElementById(toId).value = "";		
		//}
	} else {
        alert("function copyToTextField requires 3 elements");
    }
}

function enableDisableEvtReord(stID, mtID, evtID, disableProc, evtOrdSup) {
	if (disableProc) {
		document.getElementById(evtID).disabled = true;
		return;
	}
	
	if (document.getElementById(stID).checked) {
		document.getElementById(evtID).checked = false;
		document.getElementById(evtID).disabled = true;
	} else if (document.getElementById(mtID).checked) {
		if (evtOrdSup) {
			document.getElementById(evtID).disabled = false;
		} else {
			document.getElementById(evtID).disabled = true;
		}
		
	}	
}
