#  Licensed Materials - Property of IBM
#  5724-M23, 5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java

iaLayers = AdminConfig.list('IdentityAssertionLayer').splitlines()

if(len(iaLayers) >= 2):
    #Enable identity assertion for CSIv2 inbound authentication
    print "iaLayers[0]="+iaLayers[0]
    supportedQOP = AdminConfig.showAttribute(iaLayers[0],'supportedQOP')
    print "supportedQOP="+supportedQOP

    if(AdminConfig.showAttribute(supportedQOP,'enable') != "true"):
        enable = ['enable','true']
        prop = [enable]
        AdminConfig.modify(supportedQOP,prop)
        serverId = ["serverId","*"]
        prop = [serverId]
        serverIdentity = AdminConfig.create("ServerIdentity",iaLayers[0],prop)
        print "serverIdentity="+serverIdentity
        AdminConfig.save()

    #Enable identity assertion for CSIv2 outbound authentication
    supportedQOP = AdminConfig.showAttribute(iaLayers[1],'supportedQOP')
    print "supportedQOP="+supportedQOP
    
    if(AdminConfig.showAttribute(supportedQOP,'enable') != "true"):
        enable = ['enable','true']
        prop = [enable]
        # This doesn't remove trustedId="" trustedPassword="{xor}" attributes
        #AdminConfig.modify(supportedQOP,prop)
        AdminConfig.create("IdentityAssertionQOP",iaLayers[1],prop,"supportedQOP")
        AdminConfig.save()
    