#  Licensed Materials - Property of IBM
#  5724-M23, 5724-M24
#  Copyright IBM Corporation 2007, 2011. All Rights Reserved.
#  US Government Users Restricted Rights - Use, duplication or disclosure
#  restricted by GSA ADP Schedule Contract with IBM Corp.
#

import java

print "INFO: enter createWBMTemplate.py"

if ((len(sys.argv) != 1)):
        print "This script (createWBMTemplate.py) requires 1 parameter: profilePath"
        print "e.g.: createWBMTemplate.py /opt/WebSphere/Monitor/profiles/MonSrv01"
	raise ValueError	

profilePath = sys.argv[0]
print "profilePath="+profilePath
execfile(profilePath+'/config.wbm/MonitorProfileVals.py')

#Add product info
optList = "-featurePropertyName com.ibm.websphere.wbmFeaturePackProductVersion -featureShortName WBM -featureVersion 6.1.0.0 -featureStartVersion 6.1.0.0 -baseStartVersion 6.1.0.0"
AdminTask.addProductInfo(optList)
print "Done add product info"
AdminConfig.save()
    
#Generate defaultWBM Template
optList = "-featureTemplateNames defaultWBM -serverType APPLICATION_SERVER"
AdminTask.generateTemplates(optList)
print "Done generate defaultWBM Template"
AdminConfig.save()

if (ndType == "standalone" or ndType == "dmgr"):
    #Add WBM feature to server
    optList = "-nodeName "+nodeName+" -serverName "+serverName+" -featureTemplateName defaultWBM -serverType APPLICATION_SERVER"
    AdminTask.addFeaturesToServer(optList)
    print "Done add WBM feature to server"
    AdminConfig.save()

