//deleteShortCut.js
//#############################################################################
//#  Licensed Materials - Property of IBM
//#  5724-M24
//#  Copyright IBM Corporation 2007,2008. All Rights Reserved.
//#  US Government Users Restricted Rights - Use, duplication or disclosure
//#  restricted by GSA ADP Schedule Contract with IBM Corp.
//#############################################################################

///////////////////////////////////////////////////
//                                               //
// Delete shortcut                               //
//                                               //
///////////////////////////////////////////////////
function deleteShortCut(index) {
  var shortCutName = "Business Monitor 6.1";
  if (index > 0) {
    shortCutName += " (" + index + ")";
  }

  WScript.Echo("shortcutname: " + shortCutName);
  var ws = WScript.CreateObject("WScript.Shell");
  var smenu;

  var mname = "Programs"; //current user
  //mname = "AllUsersPrograms";
  //mname = "DefaultUsersPrograms";

  smenu = ws.SpecialFolders(mname);

  var fo = WScript.CreateObject("Scripting.FileSystemObject");
  
  var shortcut = smenu + "\\IBM WebSphere\\" + shortCutName;
  //WScript.Echo("shortcut: " + shortcut);
  if (fo.FolderExists(shortcut)) {
    fo.DeleteFolder(shortcut);
  }
  

}

///////////////////////////////////////////////////
//                                               //
// Get short cut index                           //
//                                               //
///////////////////////////////////////////////////
function getShortcutIndex() {
  var fo = WScript.CreateObject("Scripting.FileSystemObject");

  var indexFile =  wasHome + "\\properties\\version\\install.wbm\\" +
                   "config\\install\\productShortCut2StartMenuWBM.txt";
  if (! fo.FileExists(indexFile)) {
    return -1;
  }
  //var indexFile =  "wbmmenu.txt";



  var fs = fo.GetFile(indexFile);
  ForReading = 1;
  TristateTrue = 0; 
  var f = fs.OpenAsTextStream(ForReading, TristateTrue);
  var index = f.ReadLine();
  f.close();

  return index;
}


///////////////////////////////////////////////////
//                                               //
// Main                                          //
//                                               //
///////////////////////////////////////////////////
var theArgs = WScript.Arguments;
//WScript.Echo("arg length=" + theArgs.Length);
var wasHome=".";
if (theArgs.Length > 0) {
  wasHome = theArgs.Item(0);
  //WScript.Echo("WAS_HOME=" + theArgs.Item(0));
}

//get index
var index = getShortcutIndex();
//WScript.Echo("index="+index);
if (index >= 0) {
  deleteShortCut(index);
}
