({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Administração de Segurança de Dados do Monitor",
   adminInstruction: "Use esta página para executar funções administrativas para segurança de dados do IBM Business Monitor. É possível adicionar novo grupo de recursos, selecionar um grupo de recursos a ser excluído, visualizar modelos em um grupo de recursos ou atribuir funções administrativas.",
   adminInstructionII:"As atualizações da segurança de dados do Monitor causarão impacto imediato no acesso ao modelo de monitor.   As permissões do pacote de cubo do Cognos serão baseadas nas configurações de segurança dos dados do Monitor no momento da publicação do primeiro pacote.  As mudanças subsequentes da segurança de dados do Monitor não serão aplicadas automaticamente aos pacotes de cubo do Cognos.    As permissões do pacote do Cognos podem ser atualizadas ativando o  ",
   adminInstructionCognoswebclient: " Cliente Web do IBM Cognos Connection ",
   adminSecurityOffInstruction: "Nota: Usuários e grupos de usuários só poderão ser designados para funções se o Repositório Associado for o repositório da conta do usuário selecionado e se a segurança administrativa e do aplicativo estiver ativada.",
   mdsDiagInstruction: "Use esta página para procurar um usuário para visualizar os modelos que podem ser acessados pelo usuário e as funções do usuário em cada modelo.", 
   rgNewInstruction: "Use esta página para criar um novo grupo de recursos. Digite o nome e clique em Aplicar.",
   rgDetailsInstruction: "Selecione os modelos para incluir ou remover deste grupo de recursos. Para selecionar tudo, clique >>.",
   rgRolesInstruction: "Selecione uma função para este grupo de recursos e clique em Usuários ou Grupos.",
   rgSecurityProblems: "Funções não podem ser designadas para este grupo de recursos devido aos seguintes motivos:",
   rgSecurityRequirements: "Os seguintes requisitos devem ser preenchidos para designar usuários ou grupos para uma função:",
   rgRolesVMMDisabled: "- Os Repositórios Associados devem ser o repositório da conta do usuário selecionado.",
   rgRolesAdminSecurityDisabled: "- A segurança administrativa deve estar ativada.",
   rgRolesApplicationSecurityDisabled: "- A segurança do aplicativo deve estar ativada.",
   roleUserSearchInstruction: "Use esta página para procurar um usuário e designá-lo para uma função.",
   roleGroupSearchInstruction: "Use esta página para procurar um grupo de usuários e designá-lo para uma função.",
   loading:		  "Carregando...",
	empty: 		  "<empty>",
   resourceGroups: "Grupos de Recursos",
   models:       "Modelos",
   roles:        "Funções",
   users:        "Usuários",
   userGroups:   "Grupos de Usuários",
   rootDescription:   "O grupo de recursos 'raiz' é o grupo de recursos pai padrão",
   backToRoot:   "Todos os recursos em ${0} foram movidos para o grupo de recursos padrão.",
   errorCreating: "Erro ao criar grupo de recursos",
   errorChanging: "Erro ao alterar designação de grupo de recursos",
   errorDeleting: "Erro ao excluir o Grupo de Recursos: ${0}",
   errorAssigningRole: "Erro ao designar função",
   errorRemovingRole: "Erro ao remover função",
   errorNameRequiredForRG: "Um nome foi requerido para o grupo de recursos.",
   errorNameAlreadyExistsForRG: "O nome do grupo de recursos já existe",
   errorNameOver40Chars: "O nome do grupo de recursos não pode ter mais que 40 caracteres de comprimento",
   errorNameInvalidChars: "O nome do grupo de recursos não pode conter caracteres especiais xml",
   errorDescriptionOver80Chars: "A descrição do grupo de recursos não pode ter mais que 80 caracteres de comprimento",
   errorUserAlreadySelected: "O usuário ${0} já está selecionado",
   errorGroupAlreadySelected: "O grupo ${0} já está selecionado",
   confirmRGDelete: "O grupo de recursos ${0} será excluído. Você quer continuar?",
   selectUsersForRole: "Selecione usuários para a função ${0}", 
   selectGroupsForRole: "Selecione os grupos para a função ${0}", 
   searchNumericLimitError: "Digite um número positivo no campo Máximo de Resultados. O número deve estar entre 1 e 4500.", 
   adminNewButton: "Novo",
   adminDeleteButton: "Excluir",
   adminUsersButton:  "Usuários",
   adminGroupsButton: "Grupos",
   adminOkButton:     "OK",
   adminCancelButton: "Cancelar",
   adminSearchButton: "Procurar",
   adminSearchLimit: "Máximo de resultados",
   adminSearchForLabel: "Procurar por:",
   adminApplyButton:  "Aplicar", 
   adminGoButton:     "Ir", 
   adminRGName:       "Nome",
   adminRGDescription: "Descrição",
   adminTableSelect:  "Selecionar",
   adminTableName:    "Nome",
   adminTableDescription: "Descrição",
   adminTableTotal:   "Total",
   adminTableSelectAll: "Selecionar todos os itens",
   adminTableDeselectAll: "Desmarcar todos os itens",
   adminTableShowFilter: "Mostrar Função de Filtro",
   adminTableHideFilter: "Ocultar Função de Filtro",
   adminTableClearFilter: "Limpar Valor de Filtro",
   adminTableFilterInstruction: "Para filtrar a tabela a seguir, selecione os dados a serem filtrados e insira o critério de filtragem (wildcards: *,?,%).",
   adminTableFilterLabel: "Filtro:",
   adminTableFilterBy: "Nome do Grupo de Recursos",
   adminTableSearchTerms: "Termos de Pesquisa:",
   adminMoveLeft:     "Mover os itens selecionados à esquerda",
   adminMoveAllLeft:  "Mover todos os itens à esquerda",
   adminMoveRight:    "Mover os itens selecionados à direita",
   adminMoveAllRight: "Mover todos os itens à direita",
   adminAvailableModels: "Disponível na raiz",
   adminSelectedModels:  "Selecionadas",
   adminAvailableMembers: "Disponível",
   adminSelectedMembers: "Selecionadas",
   breadcrumbEditRG:    "Modificar um grupo de recursos",
   breadcrumbUsersRole: "Designar usuários para uma função",
   breadcrumbGroupRole: "Designar grupos para uma função",
   noModelsAvailable: "Não há modelos disponíveis para este usuário.",
   tabDiagnose: "Diagnosticar",
   tabConfigure: "Configurar",
   selectOnlyOneUser: "Selecione apenas um usuário.",
   selectAtLeastOneUser: "Selecione um usuário.",
   helpTitle: "Ajuda de Página",
   helpInstruction: "Informações adicionais sobre essa página",
   	editButton: "editar...",
   	MonitorDataSecurityAdministrator: "Administrador de Segurança de Dados do Monitor",
	MonitorDataSecurityAdministratorDesc: "Essa função executará as funções de gerenciamento de Segurança de Baixa Granularidade no Business Space.",
	BusinessManager: "Business Manager",
	BusinessManagerDesc: "Esta função fornece acesso de leitura básico a KPIs públicos (compartilhados) sem um grupo de recursos.",
	PersonalKPIAdmin: "Administrador de KPI Pessoal",
	PersonalKPIAdminDesc: "Esta função fornece aos usuários a autoridade para criar KPIs não compartilhados (pessoais). O KPI criado pode ser visualizado e atualizado somente pelo proprietário e por um administrador de KPI.",
	PublicKPIAdmin: "Administrador de KPI Público",
	PublicKPIAdminDesc: "Esta função fornece aos usuários a autoridade para criar KPIs compartilhados (públicos) ou não compartilhados (pessoais). KPIs compartilhados (públicos) podem ser utilizados e visualizados por outros usuários. Somente o proprietário ou um Administrador de KPI pode fazer alterações em um KPI compartilhado (público).",
	KPIAdmin: "Administrador de KPI",
	KPIAdminDesc: "Esta função fornece aos usuários a autoridade associada à administração de KPIs. Os usuários desta função podem criar KPI compartilhado (público) e não compartilhado (pessoal). Além disso, os Administradores de KPI podem alterar a propriedade de qualquer KPI.",
	authenticationWarningMsg: "O acesso é negado para a operação, devido a credenciais insuficientes ou vazias."	
})

