({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Управление защитой данных монитора",
   adminInstruction: "На этой странице можно выполнить административные функции для защиты данных IBM Business Monitor. Можно добавить новую или удалить существующую группу ресурсов, просмотреть модели группы ресурсов и присвоить административные роли.",
   adminInstructionII:"Права доступа к модели монитора немедленно обновляются с учетом изменений защиты данных монитора.   Права доступа пакета кубов Cognos основываются на параметрах защиты данных монитора во время публикации первого пакета.  Последующие изменения в защите данных монитора не будут автоматически применяться к пакетам кубов Cognos.    Права доступа пакета Cognos можно обновить запуском  ",
   adminInstructionCognoswebclient: " веб-клиента IBM Cognos Connection ",
   adminSecurityOffInstruction: "Примечание: Пользователей и группы пользователей можно присвоить ролям только в том случае, если в качестве объединенных хранилищ используется выбранное хранилище учетных записей пользователей, а также включена административная защита и защита приложений.",
   mdsDiagInstruction: "Эта страница позволяет найти пользователя для просмотра моделей, к которым у пользователя есть доступ, и ролей пользователя в каждой модели.", 
   rgNewInstruction: "На этой странице можно создать группу ресурсов. Введите имя и нажмите Применить.",
   rgDetailsInstruction: "Выберите модели, которые необходимо добавить в группу ресурсов или удалить из нее. Для выбора всех элементов нажмите >>.",
   rgRolesInstruction: "Выберите роль для этой группы ресурсов, затем нажмите Пользователи или Группы.",
   rgSecurityProblems: "Этой группе ресурсов нельзя назначить роли по следующим причинам:",
   rgSecurityRequirements: "Для назначения пользователей или групп ролям должны быть выполнены следующие требования:",
   rgRolesVMMDisabled: "- В качестве объединенных хранилищ применяется выбранное хранилище учетных записей пользователей.",
   rgRolesAdminSecurityDisabled: "- Включена административная защита.",
   rgRolesApplicationSecurityDisabled: "- Включена защита приложений.",
   roleUserSearchInstruction: "Эта страница позволяет найти пользователя и назначить его роль.",
   roleGroupSearchInstruction: "Эта страница позволяет найти группу пользователей и назначить ей роль.",
   loading:		  "Загрузка...",
	empty: 		  "<пустой>",
   resourceGroups: "Группы ресурсов",
   models:       "Модели",
   roles:        "Роли",
   users:        "Пользователи",
   userGroups:   "Группы пользователей",
   rootDescription:   "Группа ресурсов 'root' применяется по умолчанию в качестве родительской группы ресурсов",
   backToRoot:   "Все ресурсы в ${0} перенесены в группу ресурсов по умолчанию.",
   errorCreating: "Ошибка при создании группы ресурсов",
   errorChanging: "Ошибка при изменении назначения группы ресурсов",
   errorDeleting: "Ошибка при удалении группы ресурсов: ${0}",
   errorAssigningRole: "Ошибка при назначении роли",
   errorRemovingRole: "Ошибка при удалении роли",
   errorNameRequiredForRG: "Для группы ресурсов необходимо указать имя.",
   errorNameAlreadyExistsForRG: "Группа ресурсов с таким именем уже существует",
   errorNameOver40Chars: "Имя группы ресурсов может содержать не более 40 символов",
   errorNameInvalidChars: "Имя группы ресурсов не должно содержать специальные символы XML.",
   errorDescriptionOver80Chars: "Описание группы ресурсов может содержать не более 80 символов",
   errorUserAlreadySelected: "Пользователь ${0} уже выбран",
   errorGroupAlreadySelected: "Группа ${0} уже выбрана",
   confirmRGDelete: "Группа ресурсов ${0} будет удалена. Продолжить?",
   selectUsersForRole: "Выберите пользователей для роли ${0}", 
   selectGroupsForRole: "Выберите группы для роли ${0}", 
   searchNumericLimitError: "Введите положительное число в поле Максимальное число результатов. Число должно находиться в диапазоне от 1 до 4500", 
   adminNewButton: "Создать",
   adminDeleteButton: "Удалить",
   adminUsersButton:  "Пользователи",
   adminGroupsButton: "Группы",
   adminOkButton:     "OK",
   adminCancelButton: "Отмена",
   adminSearchButton: "Поиск",
   adminSearchLimit: "Максимальное число результатов",
   adminSearchForLabel: "Найти:",
   adminApplyButton:  "Применить", 
   adminGoButton:     "Перейти", 
   adminRGName:       "Название",
   adminRGDescription: "Описание",
   adminTableSelect:  "Выбрать",
   adminTableName:    "Название",
   adminTableDescription: "Описание",
   adminTableTotal:   "Всего",
   adminTableSelectAll: "Выбрать все элементы",
   adminTableDeselectAll: "Отменить выбор всех элементов",
   adminTableShowFilter: "Показать фильтр",
   adminTableHideFilter: "Скрыть фильтр",
   adminTableClearFilter: "Очистить фильтр",
   adminTableFilterInstruction: "Для применения фильтра в следующей таблице выберите данные для фильтрации и введите критерии (символы подстановки: *,?,%).",
   adminTableFilterLabel: "Фильтр:",
   adminTableFilterBy: "Имя группы ресурсов",
   adminTableSearchTerms: "Слова для поиска:",
   adminMoveLeft:     "Перенести выбранные элементы влево",
   adminMoveAllLeft:  "Перенести все элементы влево",
   adminMoveRight:    "Перенести выбранные элементы вправо",
   adminMoveAllRight: "Перенести все элементы вправо",
   adminAvailableModels: "Доступные в корневом каталоге",
   adminSelectedModels:  "Выбранные",
   adminAvailableMembers: "Доступные",
   adminSelectedMembers: "Выбранные",
   breadcrumbEditRG:    "Изменить группу ресурсов",
   breadcrumbUsersRole: "Присвоить роль пользователям",
   breadcrumbGroupRole: "Присвоить роль группам",
   noModelsAvailable: "Для этого пользователя нет доступных моделей.",
   tabDiagnose: "Диагностика",
   tabConfigure: "Настройка",
   selectOnlyOneUser: "Выберите одного пользователя.",
   selectAtLeastOneUser: "Выберите пользователя.",
   helpTitle: "Справка по странице",
   helpInstruction: "Дополнительная информация по странице",
   	editButton: "изменить...",
   	MonitorDataSecurityAdministrator: "Администратор защиты данных Monitor",
	MonitorDataSecurityAdministratorDesc: "Эта роль выполняет функции управления расширенной защиты в бизнес-пространстве.",
	BusinessManager: "Бизнес-администратор",
	BusinessManagerDesc: "Эта роль предоставляет основной доступ для чтения к общим KPI в группе ресурсов.",
	PersonalKPIAdmin: "Администратор личных KPI",
	PersonalKPIAdminDesc: "Эта роль предоставляет пользователям права на создание личных KPI. Созданный KPI может быть просмотрен и изменен владельцем и Администратором KPI.",
	PublicKPIAdmin: "Администратор общих KPI",
	PublicKPIAdminDesc: "Эта роль предоставляет пользователям права на создание общих и личных KPI. Общий KPI могут использовать другие пользователи. Вносить изменения в общий KPI может только владелец или администратор KPI.",
	KPIAdmin: "Администратор KPI",
	KPIAdminDesc: "Эта роль предоставляет пользователям все права доступа, связанные с администрированием KPI. Пользователи этой роли могут создавать как общие (внешние), так и индивидуальные (личные) KPI. Кроме того, Администратор KPI может изменить принадлежность любого KPI.",
	authenticationWarningMsg: "Отсутствует доступ к операции из-за недостаточных или отсутствующих идентификационных данных."	
})

