({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2007,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Monitor 資料安全管理",
   adminInstruction: "請使用這個頁面來執行 IBM Business Monitor 資料安全的管理功能。您可以新增資源群組、選取要刪除的資源群組、檢視資源群組中的模型，或指派管理角色。",
   adminInstructionII:"更新 Monitor 資料安全將會立即影響 Monitor Model 的存取。Cognos 資料方塊套件的許可權是根據發佈第一組套件時的 Monitor 資料安全設定。對 Monitor 資料安全的後續變更不會自動的套用到 Cognos 資料方塊套件。若要更新 Cognos 套件許可權，可以啟動",
   adminInstructionCognoswebclient: " IBM Cognos  Connection web 用戶端",
   adminSecurityOffInstruction: "附註：如果「聯合儲存庫」是選取的使用者帳戶儲存庫，而且已啟用管理及應用程式安全，則只能將使用者及使用者群組指派給角色。",
   mdsDiagInstruction: "請利用這個頁面來搜尋使用者，並檢視使用者可存取的模型及每一個模型上使用者角色。", 
   rgNewInstruction: "請利用這個頁面來建立新的資源群組。請輸入名稱，並按一下「套用」。",
   rgDetailsInstruction: "選取要在這個資源群組中新增或移除的模型。若要選取全部，請按一下 >>。",
   rgRolesInstruction: "選取這個資源群組的角色，並按一下「使用者」或「群組」。",
   rgSecurityProblems: "由於下列原因，無法指派角色給此資源群組：",
   rgSecurityRequirements: "您必須符合下列需求，才能將使用者或群組指派給角色：",
   rgRolesVMMDisabled: "- 「聯合儲存庫」必須是選取的使用者帳戶儲存庫。",
   rgRolesAdminSecurityDisabled: "- 必須啟用管理安全。",
   rgRolesApplicationSecurityDisabled: "- 必須啟用應用程式安全。",
   roleUserSearchInstruction: "請利用這個頁面來搜尋使用者，並指派角色給該使用者。",
   roleGroupSearchInstruction: "請利用這個頁面來搜尋使用者群組，並將它指派給角色。",
   loading:		  "正在載入...",
	empty: 		  "<空白>",
   resourceGroups: "資源群組",
   models:       "模型",
   roles:        "角色",
   users:        "使用者",
   userGroups:   "使用者群組",
   rootDescription:   "'root' 資源群組是預設的母項資源群組",
   backToRoot:   "${0} 中的所有資源都已移至預設的資源群組。",
   errorCreating: "建立「資源群組」時發生錯誤",
   errorChanging: "變更「資源群組」指派時發生錯誤",
   errorDeleting: "刪除「資源群組」時發生錯誤：${0}",
   errorAssigningRole: "指派角色時發生錯誤",
   errorRemovingRole: "移除角色時發生錯誤",
   errorNameRequiredForRG: "需要有資源群組的名稱。",
   errorNameAlreadyExistsForRG: "「資源群組」名稱已經存在",
   errorNameOver40Chars: "資源群組名稱的長度不能超過 40 個字元",
   errorNameInvalidChars: "資源群組名稱不能包含 xml 特殊字元",
   errorDescriptionOver80Chars: "資源群組說明的長度不能超過 80 個字元",
   errorUserAlreadySelected: "已選取使用者 ${0}",
   errorGroupAlreadySelected: "已選取群組 ${0}",
   confirmRGDelete: "將刪除資源群組 ${0}。要繼續嗎？",
   selectUsersForRole: "選取 ${0} 角色的使用者", 
   selectGroupsForRole: "選取 ${0} 角色的群組", 
   searchNumericLimitError: "在「結果上限」欄位中鍵入正數。數字必須介於 1 及 4500", 
   adminNewButton: "新建",
   adminDeleteButton: "刪除",
   adminUsersButton:  "使用者",
   adminGroupsButton: "群組",
   adminOkButton:     "確定",
   adminCancelButton: "取消",
   adminSearchButton: "搜尋",
   adminSearchLimit: "結果上限",
   adminSearchForLabel: "搜尋目標：",
   adminApplyButton:  "套用", 
   adminGoButton:     "執行", 
   adminRGName:       "名稱",
   adminRGDescription: "說明",
   adminTableSelect:  "選取",
   adminTableName:    "名稱",
   adminTableDescription: "說明",
   adminTableTotal:   "總計",
   adminTableSelectAll: "選取所有項目",
   adminTableDeselectAll: "取消選取所有項目",
   adminTableShowFilter: "顯示過濾器函數",
   adminTableHideFilter: "隱藏過濾器函數",
   adminTableClearFilter: "清除過濾器值",
   adminTableFilterInstruction: "若要過濾下列表格，請選取要進行過濾的資料，然後輸入過濾器準則 (萬用字元：*、?、%)。",
   adminTableFilterLabel: "過濾器：",
   adminTableFilterBy: "資源群組名稱",
   adminTableSearchTerms: "搜尋詞彙：",
   adminMoveLeft:     "將選取的項目向左移動",
   adminMoveAllLeft:  "將所有項目往左移動",
   adminMoveRight:    "將選取的項目向右移動",
   adminMoveAllRight: "將所有項目往右移動",
   adminAvailableModels: "根中的可用項目",
   adminSelectedModels:  "已選取",
   adminAvailableMembers: "可用的",
   adminSelectedMembers: "已選取",
   breadcrumbEditRG:    "修改資源群組",
   breadcrumbUsersRole: "將使用者指派給角色",
   breadcrumbGroupRole: "將群組指派給角色",
   noModelsAvailable: "此使用者沒有可用的模型。",
   tabDiagnose: "診斷",
   tabConfigure: "配置",
   selectOnlyOneUser: "只選取一個使用者。",
   selectAtLeastOneUser: "選取使用者。",
   helpTitle: "頁面說明",
   helpInstruction: "關於此頁面更多的相關訊息",
   	editButton: "編輯...",
   	MonitorDataSecurityAdministrator: "Monitor DataSecurity 管理者",
	MonitorDataSecurityAdministratorDesc: "這個角色會執行 Business Space 中的「細部安全」管理功能。",
	BusinessManager: "商業管理者",
	BusinessManagerDesc: "這個角色會提供資源群組內，公用（共用）KPI 的基本唯讀存取權。",
	PersonalKPIAdmin: "個人 KPI 管理者",
	PersonalKPIAdminDesc: "這個角色會給予使用者建立非共用（個人）KPI 的權限。只有擁有者及「KPI 管理者」才能檢視及更新已建立的 KPI。",
	PublicKPIAdmin: "公用 KPI 管理者",
	PublicKPIAdminDesc: "這個角色會給予使用者建立共用（公用）或非共用（個人）KPI 的權限。其他使用者可以使用及檢視共用（公用）KPI。只有擁有者或「KPI 管理者」才能變更共用（公用）KPI。",
	KPIAdmin: "KPI 管理者",
	KPIAdminDesc: "這種角色將給予使用者所有與 KPI 管理相關聯的權限。這個角色的使用者可以同時建立共用（公用）及非共用（個人）KPI。此外，「KPI 管理者」還可以變更任何 KPI 的所有權。",
	authenticationWarningMsg: "因為認證不足或是空的，因此拒絕存取作業。"	
})

