({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2009,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Informazioni sulla sicurezza",
   adminInstruction: "Questa pagina fornisce informazioni relative ad alcune proprietà di sicurezza per IBM Business Monitor.",
   titleGlobalSecurity: "Sicurezza globale",
   titleMDS: "Sicurezza dei dati di IBM Business Monitor",
   titleSSO: "Single Sign-on",
   titleLTPA: "LTPA",
   titleComponent: "Componente",
   titleStatus: "Stato",
   membersInRG: "Sono presenti ${0} membri nel gruppo di risorse ${1}",
   noMembersInRG: "Il gruppo di risorse ${0} non ha alcun membro",
   oneMemberInRG: "Il gruppo di risorse ${0} ha un membro",
   userGroupMembership:       "Sono presenti ${0} utenti e ${1} gruppi nel gruppo di risorse ${2}",
   oneUserOneGroupMembership: "Sono presenti ${0} utenti e ${1} gruppi nel gruppo di risorse ${2}",
   oneUserGroupMembership:    "Sono presenti ${0} utenti e ${1} gruppi nel gruppo di risorse ${2}",
   userOneGroupMembership:    "Sono presenti ${0} utenti e ${1} gruppi nel gruppo di risorse ${2}",
   userEmptyGroupMembership:       "Sono presenti ${0} utenti e ${1} gruppi vuoti nel gruppo di risorse ${2}",
   oneUserOneEmptyGroupMembership: "Sono presenti ${0} utenti e ${1} gruppi vuoti nel gruppo di risorse ${2}",
   oneUserEmptyGroupMembership:    "Sono presenti ${0} utenti e ${1} gruppi vuoti nel gruppo di risorse ${2}",
   userOneEmptyGroupMembership:    "Sono presenti ${0} utenti e ${1} gruppi vuoti nel gruppo di risorse ${2}",
   registrySearchable: "È possibile eseguire ricerche nel registro utenti",
   registryNotSearchable: "Non è possibile eseguire ricerche nel registro utenti",
   registryNoAppSec: "Non è possibile eseguire ricerche nel registro utenti in quanto la sicurezza dell'applicazione è disabilitata.",
   registryNoAdminSec: "Non è possibile eseguire ricerche nel registro utenti in quanto la sicurezza amministrativa è disabilitata.",
   registryException: "Si è verificata un'eccezione durante la ricerca degli utenti, fare clic qui per vedere l'eccezione",
   secStatusOK: "Lo stato della sicurezza globale è OK",
   secStatusNoRegFound: "Impossibile trovare registro utenti",
   secStatusNoUsersInReg: "Nessun utente trovato nel registro utenti",
   secStatusNoAdminSec: "Impossibile determinare lo stato della sicurezza globale in quanto la sicurezza amministrativa è disabilitata",
   secStatusNoAppSec: "Impossibile determinare lo stato della sicurezza globale in quanto la sicurezza dell'applicazione è disabilitata",
   mdsStatusOK: "Lo stato della sicurezza dei dati di monitoraggio è OK.",
   mdsStatusWarnChildEmpty: "Almeno un gruppo di risorse secondario non ha utenti. I modelli di monitoraggio in quel gruppo di risorse sono accessibili soltanto dagli utenti nel gruppo di risorse root.",
   mdsStatusErrorChildEmpty: "Il gruppo di risorse root e almeno un gruppo di risorse secondario non ha utenti. I modelli di monitoraggio in questi gruppi di risorse non sono attualmente disponibili.",
   mdsStatusErrorRootEmpty: "Il gruppo di risorse root non ha utenti. Tutti i modelli installati non sono attualmente disponibili.",
   mdsStatusNoAppSec: "Impossibile determinare lo stato della sicurezza dei dati di monitoraggio in quanto la sicurezza dell'applicazione è disabilitata.",
   adminSecEnabled: "La sicurezza amministrativa è abilitata",
   adminSecDisabled: "La sicurezza amministrativa è disabilitata",
   appSecEnabled: "La sicurezza dell'applicazione è abilitata",
   appSecDisabled: "La sicurezza dell'applicazione è disabilitata",
   repositoryLocalOS: "Repository account utente selezionato: SO locale",
   repositoryCUR: "Repository account utente selezionato: registro utenti personalizzato",
   repositoryLDAP: "Repository account utente selezionato: LDAP autonomo",
   repositoryVMM: "Repository account utente selezionato: repository federati",
   repositoryUnknown: "Repository account utente selezionato: non definito",
   ssoEnabled: "Single Sign-on (SSO) abilitato",
   ssoDisabled: "Single Sign-on (SSO) disabilitato",
   ssoDomain: "Il dominio single sign-on è: ${0}",
   ssoDomainNotSpecified: "Il dominio del single sign-on non è stato specificato",
   ltpaRegenEnabled: "Rigenerazione della chiave LTPA abilitata",
   ltpaRegenDisabled: "Rigenerazione della chiave LTPA disabilitata",
   ltpaRegenDate: "La data della prossima rigenerazione della chiave è: ${0}",
   helpTitle: "Guida della pagina",
   helpInstruction: "Ulteriori informazioni su questa pagina"

})

