({
    // Licensed Materials - Property of IBM
    // 5724-M24
    // Copyright IBM Corporation 2009,2011. All Rights Reserved.
    // US Government Users Restricted Rights - Use, duplication or disclosure
    // restricted by GSA ADP Schedule Contract with IBM Corp.
    //
	adminTitle:   "Security Information",
   adminInstruction: "This page provides information about some of the security properties for IBM Business Monitor.",
   titleGlobalSecurity: "Global Security",
   titleMDS: "IBM Business Monitor Data Security",
   titleSSO: "Single Sign-on",
   titleLTPA: "LTPA",
   titleComponent: "Component",
   titleStatus: "Status",
   membersInRG: "There are ${0} members in the ${1} resource group",
   noMembersInRG: "The ${0} resource group has no members",
   oneMemberInRG: "The ${0} resource group has one member",
   userGroupMembership:       "There are ${0} users and ${1} groups in the ${2} resource group",
   oneUserOneGroupMembership: "There is ${0} user and ${1} group in the ${2} resource group",
   oneUserGroupMembership:    "There is ${0} user and ${1} groups in the ${2} resource group",
   userOneGroupMembership:    "There are ${0} users and ${1} group in the ${2} resource group",
   userEmptyGroupMembership:       "There are ${0} users and ${1} empty groups in the ${2} resource group",
   oneUserOneEmptyGroupMembership: "There is ${0} user and ${1} empty group in the ${2} resource group",
   oneUserEmptyGroupMembership:    "There is ${0} user and ${1} epmty groups in the ${2} resource group",
   userOneEmptyGroupMembership:    "There are ${0} users and ${1} empty group in the ${2} resource group",
   registrySearchable: "The user registry is searchable",
   registryNotSearchable: "The user registry is not searchable",
   registryNoAppSec: "The user registry is not searchable because Application Security is disabled",
   registryNoAdminSec: "The user registry is not searchable because Administrative Security is disabled",
   registryException: "An exception occurred while searching for users, click here to see the exception",
   secStatusOK: "The global security status is OK",
   secStatusNoRegFound: "The user registry could not be found",
   secStatusNoUsersInReg: "No users were found in the user registry",
   secStatusNoAdminSec: "The global security status cannot be determined because administrative security is disabled",
   secStatusNoAppSec: "The global security status cannot be determined because application security is disabled",
   mdsStatusOK: "Monitor Data Security status is OK.",
   mdsStatusWarnChildEmpty: "At least one child resource group has no users. Monitor models in that resource group are only accessible by users in the root resource group.",
   mdsStatusErrorChildEmpty: "The root resource group and at least one child resource group has no users. Monitor models in these resource groups are not currently available.",
   mdsStatusErrorRootEmpty: "The root resource group has no users. All installed models are currently unavailable.",
   mdsStatusNoAppSec: "The status of Monitor Data Security cannot be determined because application security is disabled.",
   adminSecEnabled: "Administrative Security is Enabled",
   adminSecDisabled: "Administrative Security is Disabled",
   appSecEnabled: "Application Security is Enabled",
   appSecDisabled: "Application Security is Disabled",
   repositoryLocalOS: "Selected User Account Repository: Local OS",
   repositoryCUR: "Selected User Account Repository: Custom User Registry",
   repositoryLDAP: "Selected User Account Repository: Standalone LDAP",
   repositoryVMM: "Selected User Account Repository: Federated Repositories",
   repositoryUnknown: "Selected User Account Repository: undefined",
   ssoEnabled: "Single Sign-on (SSO) is enabled",
   ssoDisabled: "Single Sign-on (SSO) is disabled",
   ssoDomain: "The single sign-on domain is: ${0}",
   ssoDomainNotSpecified: "The single sign-on domain has not been specified",
   ltpaRegenEnabled: "LTPA key regeneration is enabled",
   ltpaRegenDisabled: "LTPA key regeneration is disabled",
   ltpaRegenDate: "The next key regeneration date is: ${0}",
   helpTitle: "Page help",
   helpInstruction: "More information about this page"

})

